> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put accountsswitchdevice

> Updates a SwitchDevice for the account of the logged in user. The requesting User must have the following rights to perform this task: **Rights** **Required** **AuthRuleType.MANAGE_SYSTEM** REQUIRED This operation returns a SwitchDevice value.

The requesting User must have the following rights to perform this task:

This operation returns a SwitchDevice value.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml put /accounts/switchdevice
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /accounts/switchdevice:
    put:
      tags:
        - AccountService
      description: >-
        Updates a SwitchDevice for the account of the logged in user. The
        requesting User must have the following rights to perform this task:
        **Rights** **Required** **AuthRuleType.MANAGE_SYSTEM** REQUIRED This
        operation returns a SwitchDevice value.


        The requesting User must have the following rights to perform this task:


        This operation returns a SwitchDevice value.
      operationId: updateSwitchDevice
      parameters: []
      requestBody:
        description: ': SwitchDeviceData'
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  sysidSwitchDeviceType: 12345
                  sysidSwitchDevice: 12345
                  sysidAccount: 12345
                  deviceType:
                    description: ...
                    deviceResources:
                      - name: ...
                        sysidSwitchDeviceResource: 12345
                        languageTagKey: ...
                        description: ...
                        sysidAttributeDataType: 12345
                      - name: ...
                        sysidSwitchDeviceResource: 12345
                        languageTagKey: ...
                        description: ...
                        sysidAttributeDataType: 12345
                    name: ...
                    deviceUsers:
                      - description: ...
                        name: ...
                        sysidSwitchDeviceUser: 12345
                        sysidAttributeDataType: 12345
                        languageTagKey: ...
                      - description: ...
                        name: ...
                        sysidSwitchDeviceUser: 12345
                        sysidAttributeDataType: 12345
                        languageTagKey: ...
                    sysidSwitchDeviceType: 12345
                    languageTagKey: ...
                  name: ...
                  comments: ...
            schema:
              $ref: '#/components/schemas/SwitchDeviceData'
      responses:
        '204':
          content:
            application/json:
              examples:
                example:
                  value:
                    sysidSwitchDeviceType: 12345
                    sysidSwitchDevice: 12345
                    sysidAccount: 12345
                    deviceType:
                      description: ...
                      deviceResources:
                        - name: ...
                          sysidSwitchDeviceResource: 12345
                          languageTagKey: ...
                          description: ...
                          sysidAttributeDataType: 12345
                        - name: ...
                          sysidSwitchDeviceResource: 12345
                          languageTagKey: ...
                          description: ...
                          sysidAttributeDataType: 12345
                      name: ...
                      deviceUsers:
                        - description: ...
                          name: ...
                          sysidSwitchDeviceUser: 12345
                          sysidAttributeDataType: 12345
                          languageTagKey: ...
                        - description: ...
                          name: ...
                          sysidSwitchDeviceUser: 12345
                          sysidAttributeDataType: 12345
                          languageTagKey: ...
                      sysidSwitchDeviceType: 12345
                      languageTagKey: ...
                    name: ...
                    comments: ...
              schema:
                $ref: '#/components/schemas/SwitchDeviceData'
          description: >-
            SwitchDeviceData

            returnType 
            com.agilquest.phoenix.shared.data.switchdevice.SwitchDeviceData
components:
  schemas:
    SwitchDeviceData:
      type: object
      title: SwitchDeviceData
      required:
        - sysidSwitchDeviceType
        - sysidAccount
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidSwitchDeviceType:
              type: integer
              format: int32
            sysidSwitchDevice:
              type: integer
              format: int32
            sysidAccount:
              type: integer
              format: int32
            deviceType:
              $ref: '#/components/schemas/SwitchDeviceType'
            name:
              type: string
            comments:
              type: string
      example:
        sysidSwitchDeviceType: 12345
        sysidSwitchDevice: 12345
        sysidAccount: 12345
        deviceType:
          description: ...
          deviceResources:
            - name: ...
              sysidSwitchDeviceResource: 12345
              languageTagKey: ...
              description: ...
              sysidAttributeDataType: 12345
            - name: ...
              sysidSwitchDeviceResource: 12345
              languageTagKey: ...
              description: ...
              sysidAttributeDataType: 12345
          name: ...
          deviceUsers:
            - description: ...
              name: ...
              sysidSwitchDeviceUser: 12345
              sysidAttributeDataType: 12345
              languageTagKey: ...
            - description: ...
              name: ...
              sysidSwitchDeviceUser: 12345
              sysidAttributeDataType: 12345
              languageTagKey: ...
          sysidSwitchDeviceType: 12345
          languageTagKey: ...
        name: ...
        comments: ...
    DependentData:
      type: object
      title: DependentData
      example: {}
    SwitchDeviceType:
      type: object
      title: SwitchDeviceType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            description:
              type: string
            deviceResources:
              type: array
              items:
                $ref: '#/components/schemas/SwitchDeviceResource'
            name:
              type: string
            deviceUsers:
              type: array
              items:
                $ref: '#/components/schemas/SwitchDeviceUser'
            sysidSwitchDeviceType:
              type: integer
              format: int32
            languageTagKey:
              type: string
      example:
        description: ...
        deviceResources:
          - name: ...
            sysidSwitchDeviceResource: 12345
            languageTagKey: ...
            description: ...
            sysidAttributeDataType: 12345
          - name: ...
            sysidSwitchDeviceResource: 12345
            languageTagKey: ...
            description: ...
            sysidAttributeDataType: 12345
        name: ...
        deviceUsers:
          - description: ...
            name: ...
            sysidSwitchDeviceUser: 12345
            sysidAttributeDataType: 12345
            languageTagKey: ...
          - description: ...
            name: ...
            sysidSwitchDeviceUser: 12345
            sysidAttributeDataType: 12345
            languageTagKey: ...
        sysidSwitchDeviceType: 12345
        languageTagKey: ...
    SwitchDeviceResource:
      type: object
      title: SwitchDeviceResource
      required:
        - sysidAttributeDataType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            name:
              type: string
            sysidSwitchDeviceResource:
              type: integer
              format: int32
            languageTagKey:
              type: string
            description:
              type: string
            sysidAttributeDataType:
              type: integer
              format: int32
      example:
        name: ...
        sysidSwitchDeviceResource: 12345
        languageTagKey: ...
        description: ...
        sysidAttributeDataType: 12345
    SwitchDeviceUser:
      type: object
      title: SwitchDeviceUser
      required:
        - sysidAttributeDataType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            description:
              type: string
            name:
              type: string
            sysidSwitchDeviceUser:
              type: integer
              format: int32
            sysidAttributeDataType:
              type: integer
              format: int32
            languageTagKey:
              type: string
      example:
        description: ...
        name: ...
        sysidSwitchDeviceUser: 12345
        sysidAttributeDataType: 12345
        languageTagKey: ...

````